Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v2
Class SubmitCSRForForeignerResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.certra.protocol.v2.SubmitCSRForForeignerResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:59+02:00",
               comments="JAXB RI v2.2.11")
    public class SubmitCSRForForeignerResponse

extends StatusResponseType
implements Serializable

This response contains a validation URL that the foreigner user must visit in order to validate their request, this validation must take place before the expiration date mentioned in the response. The certificate generation will only continue if the user authenticates their identity in the web application and follows the steps explained on the web page.

Java class for SubmitCSRForForeignerResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubmitCSRForForeignerResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="ValidationUrl" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="ExpirationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SubmitCSRForForeignerResponse()`

Method Summary
`org.joda.time.DateTime` | `getExpirationDate()` Gets the value of the expirationDate property.
`String` | `getValidationUrl()` Gets the value of the validationUrl property.
`void` | `setExpirationDate(org.joda.time.DateTime value)` Sets the value of the expirationDate property.
`void` | `setValidationUrl(String value)` Sets the value of the validationUrl property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubmitCSRForForeignerResponse

    public SubmitCSRForForeignerResponse()

Method Detail

### getValidationUrl

    public String getValidationUrl()

  Gets the value of the validationUrl property.

  Returns:
    possible object is `String`

### setValidationUrl

    public void setValidationUrl(String value)

  Sets the value of the validationUrl property.

  Parameters:
    `value` - allowed object is `String`

### getExpirationDate

    public org.joda.time.DateTime getExpirationDate()

  Gets the value of the expirationDate property.

  Returns:
    possible object is `String`

### setExpirationDate

    public void setExpirationDate(org.joda.time.DateTime value)

  Sets the value of the expirationDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.